# Poco

# class InflatingInputStream

Library: Foundation
Package: Streams
Header: Poco/InflatingStream.h

## Description

This stream decompresses all data passing through it using zlib's inflate algorithm. Example:

    std::ifstream istr("data.gz", std::ios::binary);
    InflatingInputStream inflater(istr, InflatingStreamBuf::STREAM_GZIP);
    std::string data;
    istr >> data;

The underlying input stream can contain more than one gzip/deflate stream. After a gzip/deflate stream has been processed, reset() can be called to inflate the next stream.

## Inheritance

Direct Base Classes: InflatingIOS, std::istream

All Base Classes: InflatingIOS, std::ios, std::istream

## Member Summary

Member Functions: reset

Inherited Functions: rdbuf

## Constructors

### InflatingInputStream

InflatingInputStream(
std::istream & istr,
InflatingStreamBuf::StreamType type = InflatingStreamBuf::STREAM_ZLIB
);

## Destructor

### ~InflatingInputStream

~InflatingInputStream();

## Member Functions

### reset

void reset();